# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Sub-Install
Version:	0.926
Release:	1.%{__distinit}%{__distvers}
Summary:	Install subroutines into packages easily
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Sub-Install/
Source0:	http://www.cpan.org/authors/id/R/RJ/RJBS/Sub-Install-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Scalar::Util)
# Test::Output -> Sub::Exporter -> Sub::Install
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::Output)
%endif
# Perl::Critic not available prior to FC-5 and Perl 5.8.8
# Test::Perl::Critic -> Perl::Critic -> Exception::Class -> Test::EOL ->
#   Pod::Coverage::TrustPod -> Pod::Eventual -> Mixin::Linewise -> Sub::Exporter -> Sub::Install
%if %(perl -e 'print (($^V and $^V ge 5.8.8) ? 1 : 0);') && 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::Perl::Critic)
%endif
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module makes it easy to install subroutines into packages without the
unsightly mess of no strict or typeglobs lying about where just anyone
can see them.

%prep
%setup -q -n Sub-Install-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test %{!?perl_bootstrap:PERL_TEST_CRITIC=1}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Sub/
%{_mandir}/man3/Sub::Install.3pm*

%changelog
* Sun Feb 26 2012 Paul Howarth <paul@city-fan.org> 0.926-1
- update to 0.926
  - cope with terminal dots from new Carp
- BR: perl(Carp), perl(ExtUtils::MakeMaker) and perl(Scalar::Util)
- package the LICENSE file

* Tue Feb  7 2012 Paul Howarth <paul@city-fan.org> 0.925-10
- don't BR: perl(Test::Perl::Critic) if we're bootstrapping

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> 0.925-9
- rebuild for perl 5.14.1 in Rawhide
- add support for perl_bootstrap macro
- nobody else likes macros for commands
- fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.925-5
- rebuild for perl 5.12.1 in Rawhide

* Mon May 31 2010 Paul Howarth <paul@city-fan.org> 0.925-4
- fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> 0.925-3
- reinstate perl(Test::Perl::Critic) buildreq
- add buildreq perl(Test::Output), needed for tests on old distributions
- dist tag for Rawhide no longer needs special-casing
- use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Fri Sep 25 2009 Paul Howarth <paul@city-fan.org> 0.925-2
- define RPM macros in global scope
- remove comments about Test::Output, no longer seem valid

* Thu Jan 22 2009 Paul Howarth <paul@city-fan.org> 0.925-1
- update to 0.925

* Mon Sep  1 2008 Paul Howarth <paul@city-fan.org> 0.924-4
- import from Fedora
- drop perl(Test::Perl::Critic) buildreq for now - too many new packages to
  build today!

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.924-3
- rebuild for perl 5.10 (again)

* Thu Jan 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.924-2
- rebuild for new perl
- fix license tag

* Wed Nov 22 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.924-1
- update to 0.924
- add perl(Test::Perl::Critic) to BR's

* Wed Sep 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.922-2
- bump

* Sat Sep 02 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.922-1
- specfile autogenerated by cpanspec 1.69.1
